# loading spectrino; NB rcom library is requered
library("spectrino") 

# opens spectrino application and creates spectrino object representing it
spnNew() 

# opens spec-tree from "data" sub-directory of spectrino executable directory
spnOpenTree("%SpnPath%data/sptree.str",2)

# loading another spec-group (cam)
spnOpenGrp("%SpnPath%data/cam.sgr",FALSE)

# loading two more spectra (cam03, cam12)
spnOpenSpc("cam","%SpnPath%data/cam03.txt")
spnOpenSpc("cam","%SpnPath%data/cam12.txt")

# loading a matrix of all the specs into mr variable
mr <- spnGetTree(FALSE)

# summary of principal components analysis
summary(prcomp(mr))

# follow the grouping (classes) of the points, 
# each of which represents a ms-spectrum
biplot(prcomp(mr))
